<div id="popup" class="ol-popup">
  <nz-card [nzExtra]="extra" nzSize="small" [nzTitle]="title">
    <ng-template #extra>
      <span nz-icon nzType="close" nzTheme="outline" id="popup-closer"></span>
    </ng-template>

    <ng-template #title>
      <div id="popup-title"></div>
    </ng-template>

    <nz-spin [nzSpinning]="showDetailsLoading"></nz-spin>

    <div id="popup-content"></div>
  </nz-card>
</div>

<nz-card [nzTitle]="WorldMap" nzSize="small">
  <ng-template #WorldMap>
    <div *ngIf="showTitle">
      <img src="/assets/img/icons/worldwide.png" height="20px">
      {{'Common.Maps.WorldMap' | translate}}
    </div>
  </ng-template>

  <nz-spin nzTip="Loading..." [nzSpinning]="isLoading">

    <div *ngIf="showFilters">
      <div nz-flex nzJustify="space-around" nzAlign="center" style="margin-bottom: 8px;">
        <button nz-button nzShape="round" [nz-tooltip]="'Common.Maps.politicalFilter' | translate" (click)="changeFilter('default')">
          <!-- <i class="fa-solid fa-earth-europe"></i> -->
          <img src="/assets/img/icons/worldwide.png" height="15px" width="15">
        </button>

        <button nz-button nzShape="round" [nz-tooltip]="'Common.Maps.populationFilter' | translate" (click)="changeFilter('population')">
          <!-- <i class="fa-solid fa-users"></i> -->
          <img src="/assets/img/icons/population.png" height="20" width="20">

        </button>

        <button nz-button nzShape="round" [nz-tooltip]="'Common.Maps.hospitalsFilter' | translate" (click)="changeFilter('hospital')">
          <!--           <i class="fa-regular fa-hospital"></i> -->
          <img src="/assets/img/icons/Construction.Hospital.png" height="20" width="auto">
        </button>

        <button nz-button nzShape="round" [nz-tooltip]="'Common.Maps.defenseSystemsFilter' | translate" (click)="changeFilter('ds')">
          <img src="/assets/img/icons/Construction.DefenseSystem.png" height="20" width="20" />
        </button>

        <button nz-button nzShape="round" [nz-tooltip]="'Common.Maps.companiesFilter' | translate" (click)="changeFilter('company')">
          <img src="/assets/img/icons/company.png" height="20" width="20" />
        </button>

        <button nz-button nzShape="round" [nz-tooltip]="'Common.Maps.rawFilter' | translate" (click)="changeFilter('raw', 'all')">
          <i class="fa-solid fa-recycle"></i>
        </button>
      </div>

      <div nz-flex nzJustify="space-around" nzAlign="center"
        style="margin-bottom: 8px; margin-left: 10%; margin-right: 10%" *ngIf="currentFilter.includes('raw')">
        <!-- FOREACH HERE WHEN ALL RESOURCES ARE FETCHED -->
        <button nz-button nzShape="round" *ngFor="let raw of filterResources" (click)="changeFilter('raw', raw.ItemId)">
          <img src="{{ raw.Value }}" height="20" width="20" />
        </button>


      </div>
    </div>

    <div [style.minHeight]="mapHeight">
      <div id="{{ mapId }}" style="width: 100%;" [style.height]="mapHeight"></div>

      <div *ngIf="showRegionDetails === true" style="text-align: center" style="margin-top: 10px">
        <div nz-row nzGutter="12">

          <div nz-col nzSpan="12"
            *ngIf="currentFilter === 'hospital' || currentFilter === 'ds' || currentFilter === 'raw'">
            <nz-card [nzTitle]="'Common.Maps.Legend' | translate">
              <div *ngFor="let color of filtersColors; index as i">{{'Common.Quality' | translate}}: {{ i }}: <div
                  style="width: 10px; height: 10px;" [style.backgroundColor]="color"></div>
              </div>
            </nz-card>
          </div>

        </div>

        <!-- <nz-card style="width:400px;">
          <div nz-row nzType="flex" nzJustify="start">
            <div nz-col nzSpan="17">
              <div style="font-size: 13px;">Name:
                <a href="" [routerLink]="['/region/', selectedRegion?.id]">{{selectedRegion?.name}}</a>
              </div>
              <div style="font-size: 13px;">Capital name: {{selectedRegion?.capitalName}}</div>
            </div>
            <div nz-col nzSpan="7">
              <a href="{{hostUrl}}/travel/{{token}}/{{selectedRegion?.id}}" target="_blank"
                *ngIf="selectedRegion?.id !== entityRegion?.id && selectedRegion?.isWasteland == false" nz-button
                nzShape="round" nzType="primary" [nzSize]="'small'">Travel here</a>
            </div>
          </div>

          <div nz-row nzType="flex" nzJustify="start" style="margin-top: 5px;" *ngIf="selectedRegion?.country">
            <div nz-col nzSpan="11">
              <div style="font-size: 12px;">
                <img src="{{hostUrl}}/{{selectedRegion?.country?.flagLocation[0]}}">
                {{ selectedRegion?.country?.name }}
              </div>
            </div>
            <div nz-col nzSpan="11">
              <div style="font-size: 12px;">Population: {{selectedRegion?.population}}</div>
            </div>
          </div>

          <div nz-row nzType="flex" nzJustify="start" style="margin-top: 5px;">
            <div nz-col nzSpan="11" *ngIf="selectedRegion?.hospitalQ">
              <div style="font-size: 12px;" *ngIf="selectedRegion?.hospitalQ > 0">
                <img src="{{hostUrl}}/assets/img/ico/eco/prod/hospital.png" width="25" height="25">
                <span style="padding-top: 10px; margin-left: 5px;">
                  <nz-rate [ngModel]="+selectedRegion?.hospitalQ" [nzCount]="5" nzDisabled>
                  </nz-rate>
                </span>
              </div>
            </div>
            <div nz-col nzSpan="11" *ngIf="selectedRegion?.resourceList">
              <div style="font-size: 12px;" *ngIf="+selectedRegion?.resourceList.split(':')[0] > 0">
                <div style="font-size: 11px;">
                  <img src="{{hostUrl}}/assets/img/ico/eco/prod/{{selectedRegion?.resourceIcon?.toLowerCase()}}.png"
                    nz-tooltip nzTooltipPlacement="top" nzTooltipTitle="{{selectedRegion?.resourceName}}" width="25"
                    height="25">
                  <span style="padding-top: 10px; margin-left: 5px;">
                    <nz-rate [ngModel]="+selectedRegion?.resourceQuality" [nzCount]="3" nzDisabled>
                    </nz-rate>
                  </span>
                </div>
              </div>
            </div>
          </div>

          <div *ngIf="selectedRegion?.battle">
            <hr />
            <div nz-row nzType="flex" nzJustify="center">
              <div nz-col nzSpan="17">
                <div style="font-size: 13px;">Attacked by:
                  <img src="{{selectedRegion?.battle?.attackerCountry?.flagLocation}}">
                  {{ selectedRegion?.battle?.attackerCountry?.name }}
                </div>
              </div>
              <div nz-col nzSpan="7">
                <a [routerLink]="['battle', selectedRegion?.battle?.id]" target="_blank" nz-button nzShape="round"
                  style="background-color: red" nzType="primary" [nzSize]="'small'">Battle</a>
              </div>
            </div>
          </div>

        </nz-card> -->
      </div>
    </div>
  </nz-spin>
</nz-card>
